
Foreman - Feature #5633

add validation to Foreman to have organization-based objects always belong to at least a single

organization

05/08/2014 02:31 PM - Joseph Magen

Status: Ready For Testing   

Priority: Normal   

Assignee: Joseph Magen   

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1444

  

Description

also added if there is only one organization for a user, to automatically add it.

History

#1 - 05/13/2014 02:07 PM - Dominic Cleal

- Project changed from Katello to Foreman

- Category changed from 83 to 47

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.3

https://github.com/theforeman/foreman/pull/1444

#2 - 05/13/2014 02:07 PM - Dominic Cleal

- Category changed from 47 to Organizations and Locations

#3 - 05/19/2014 12:41 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#4 - 06/11/2014 02:56 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#5 - 07/07/2014 07:21 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#6 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#7 - 08/07/2014 03:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1444 added

#8 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#9 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#10 - 09/30/2014 10:38 AM - Dominic Cleal
https://github.com/theforeman/foreman/pull/1444


- Target version changed from 1.7.3 to 1.7.2

#11 - 02/29/2016 06:40 AM - Joseph Magen

I recommend to close this. It was driven by Katello/Pulp contraints to have all objects belong to at least one organization. I don't think we want to force

it in Foreman so there still is the option of "Any Organization".

Ohad, thoughts?

#12 - 07/23/2018 11:30 AM - Tomer Brisker

- Target version deleted (1.7.2)
